
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>string中c_str()、data()、copy(p,n)函数的用法（转） / 憋错料</title>

    <meta name="description" content="string中c_str()、data()、copy(p,n)函数的用法（转） 标准库的string类提供了3个成员函数来从一个string得到c类型的字符数组:c_str().data().copy(p,n). 1. c_str():生成一个const char*指针,指向以空字符终止的数组. 注: ①这个数组的数据是临时的,当有一个改变这些数据的成员函数被调用后,其中的数据就会失效.因此要么现用先转换,要么把它的数据复制到用户自己可以管理的内存中.注意.看下例: const char* c; string s=&quot;1234&quot;; c = s.c_str( ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">string中c_str()、data()、copy(p,n)函数的用法（转）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>标准库的string类提供了3个成员函数来从一个string得到c类型的字符数组：c_str()、data()、copy(p,n)。</p>
<p>1. c_str()：生成一个const char*指针，指向以空字符终止的数组。</p>
<p>注：</p>
<p>①这个数组的数据是临时的，当有一个改变这些数据的成员函数被调用后，其中的数据就会失效。因此要么现用先转换，要么把它的数据复制到用户自己可以管理的内存中。注意。看下例：</p>
<table>
<tbody>
<tr>
<td>
<p><code>const</code>&nbsp;<code>char</code><code>* c;</code></p>
<p><code>string s=</code><code>"1234"</code><code>;</code></p>
<p><code>c = s.c_str(); </code></p>
<p><code>cout&lt;&lt;c&lt;&lt;endl;</code><code>//输出：1234</code></p>
<p><code>s=</code><code>"abcd"</code><code>;</code></p>
<p><code>cout&lt;&lt;c&lt;&lt;endl;</code><code>//输出：abcd</code></p>
</td>
</tr>
</tbody>
</table>
<p>上面如果继续用c指针的话，导致的错误将是不可想象的。就如：1234变为abcd</p>
<p>其实上面的c = s.c_str(); 不是一个好习惯。既然c指针指向的内容容易失效，我们就应该按照上面的方法，那怎么把数据复制出来呢？这就要用到strcpy等函数（推荐）。</p>
<table>
<tbody>
<tr>
<td>
<p><code>//const char* c; //①</code></p>
<p><code>//char* c;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; //②</code></p>
<p><code>//char c[20]; </code></p>
<p><code>char</code><code>* c=</code><code>new</code>&nbsp;<code>char</code><code>[20];</code></p>
<p><code>string s=</code><code>"1234"</code><code>;</code></p>
<p><code>//c = s.c_str(); </code></p>
<p><code>strcpy</code><code>(c,s.c_str());</code></p>
<p><code>cout&lt;&lt;c&lt;&lt;endl;</code><code>//输出：1234</code></p>
<p><code>s=</code><code>"abcd"</code><code>;</code></p>
<p><code>cout&lt;&lt;c&lt;&lt;endl;</code><code>//输出：1234</code></p>
</td>
</tr>
</tbody>
</table>
<p>注意：不能再像上面一样①所示了，const还怎么向里面写入值啊；也不能②所示，使用了未初始化的局部变量&ldquo;c&rdquo;，运行会出错的 。</p>
<p>② c_str()返回一个客户程序可读不可改的指向字符数组的指针，不需要手动释放或删除这个指针。</p>
<p>2. data():与c_str()类似，但是返回的数组不以空字符终止。</p>
<p>3. copy(p,n,size_type _Off = 0)：从string类型对象中至多复制n个字符到字符指针p指向的空间中。默认从首字符开始，但是也可以指定，开始的位置（记住从0开始）。返回真正从对象中复制的字符。------用户要确保p指向的空间足够保存n个字符。</p>
<table>
<tbody>
<tr>
<td>
<p><code>// basic_string_copy.cpp</code></p>
<p><code>// compile with: /EHsc /W3</code></p>
<p><code>#include &lt;string&gt;</code></p>
<p><code>#include &lt;iostream&gt;</code></p>

<p><code>int</code>&nbsp;<code>main( )</code></p>
<p><code>{</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>using</code>&nbsp;<code>namespace</code>&nbsp;<code>std;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>string str1 ( </code><code>"1234567890"</code>&nbsp;<code>);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>basic_string &lt;</code><code>char</code><code>&gt;::iterator str_Iter;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>char</code>&nbsp;<code>array1 [ 20 ] = { 0 };</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>char</code>&nbsp;<code>array2 [ 10 ] = { 0 };</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>basic_string &lt;</code><code>char</code><code>&gt;:: pointer array1Ptr = array1;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>basic_string &lt;</code><code>char</code><code>&gt;:: value_type *array2Ptr = array2;</code></p>

<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cout &lt;&lt; </code><code>"The original string str1 is: "</code><code>;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>for</code>&nbsp;<code>( str_Iter = str1.begin( ); str_Iter != str1.end( ); str_Iter++ )</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cout &lt;&lt; *str_Iter;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cout &lt;&lt; endl;</code></p>

<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>basic_string &lt;</code><code>char</code><code>&gt;:: size_type nArray1;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// Note: string::copy is potentially unsafe, consider</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// using string::_Copy_s instead.</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>nArray1 = str1.copy ( array1Ptr , 12 );&nbsp; </code><code>// C4996</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cout &lt;&lt; </code><code>"The number of copied characters in array1 is: "</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>&lt;&lt; nArray1 &lt;&lt; endl;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cout &lt;&lt; </code><code>"The copied characters array1 is: "</code>&nbsp;<code>&lt;&lt; array1Ptr &lt;&lt; endl;</code></p>

<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>basic_string &lt;</code><code>char</code><code>&gt;:: size_type nArray2;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// Note: string::copy is potentially unsafe, consider</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// using string::_Copy_s instead.</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>nArray2 = str1.copy ( array2Ptr , 5 , 6&nbsp; );&nbsp; </code><code>// C4996</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cout &lt;&lt; </code><code>"The number of copied characters in array2 is: "</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>&lt;&lt; nArray2 &lt;&lt; endl;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cout &lt;&lt; </code><code>"The copied characters array2 is: "</code>&nbsp;<code>&lt;&lt; array2Ptr &lt;&lt; endl;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>////注意一定要使array3有足够的空间</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>//char array3[5]={0};</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>//basic_string&lt;char&gt;::pointer array3Ptr=array3;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>//basic_string&lt;char&gt;::size_type nArray3;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>//nArray3 = str1.copy(array3,9); //错误！！！！</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>//cout&lt;&lt;"The number of copied characters in array3 is: "</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>//&nbsp; &lt;&lt;nArray3&lt;&lt;endl;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>//cout&lt;&lt;"The copied characters array3 is: "&lt;&lt;array3Ptr&lt;&lt;endl;</code></p>
<p><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>上面最后注释掉的部分，虽然编译没有错误，但是运行时会产生错误：Stack around the variable ‘array3‘ was corrupted.</p>
<p><P>string中c_str()、data()、copy(p,n)函数的用法（转）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 12:07:59 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>string中c_str()、data()、copy(p,n)函数的用法（转）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xvNek4.html" rel="bookmark">string中c&lowbar;str&lpar;&rpar;、data&lpar;&rpar;、copy&lpar;p&comma;n&rpar;函数的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标准库的string类提供了3个成员函数来从一个string得到c类型的字符数组:c_str().data().copy(p,n). 1. c_str():生成一个const char*指针,指向以空字符终止的数组. 注: ①这个数组的数据是临时的,当有一个改变这些数据的成员函数被调用后,其中的数据就会失效.因此要么现用先转换,要么把它的数据复制到用户自己可以管理的内存中.注意.看下例: const char* c; string s=&quot;1234&quot;; c = s.c_str(); co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ARJYaM.html" rel="bookmark">js中bind、call、apply函数的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近一直在用 js 写游戏服务器,我也接触 js 时间不长,大学的时候用 js 做过一个 H3C 的 web 的项目,然后在腾讯实习的时候用 js 写过一些奇怪的程序,自己也用 js 写过几个的网站.但真正大规模的使用 js 这还是第一次.我也是初生牛犊不怕虎,这次服务器居然抛弃 C++ 和 lua 的正统搭配,而尝试用 nodejs 来写游戏服务器,折腾的自己要死要活的我也是醉了. 在给我们项目组的其他程序介绍 js 的时候,我准备了很多的内容,但看起来效果不大,果然光讲还是不行的,必须动手.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPglVP4.html" rel="bookmark">js中bind、call、apply函数的用法 （转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近看了一篇不错的有关js的文章,转载过来收藏先!!! 最近一直在用 js 写游戏服务器,我也接触 js 时间不长,大学的时候用 js 做过一个 H3C 的 web 的项目,然后在腾讯实习的时候用 js 写过一些奇怪的程序,自己也用 js 写过几个的网站.但真正大规模的使用 js 这还是第一次.我也是初生牛犊不怕虎,这次服务器居然抛弃 C++ 和 lua 的正统搭配,而尝试用 nodejs 来写游戏服务器,折腾的自己要死要活的我也是醉了. 在给我们项目组的其他程序介绍 js 的时候,我准备了很多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M612Xd4.html" rel="bookmark">C&plus;&plus;string中有关大小和容量的函数浅析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.length()与size() length是因为沿用C语言的习惯而保留下来的,string类最初只有length,引入STL之后,为了兼容又加入了size,它是作为STL容器的属性存在的,便于符合STL的接口规则,以便用于STL的算法. string类的size()/length()方法返回的是字节数,不管是否有汉字. 两者原型如下: size_type   __CLR_OR_THIS_CALL   length()   const { //   return   length   of 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4188Lg3.html" rel="bookmark">C&plus;&plus;string中用于查找的find系列函数浅析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				总述:      以下所讲的所有的string查找函数,都有唯一的返回类型,那就是size_type,即一个无符号整数(按打印出来的算).若查找成功,返回按查找规则找到的第一个字符或子串的位置:若查找失败,返回npos,即-1(打印出来为4294967295). 1.fine() 原型: //string (1) size_type find (const basic_string&amp; str, size_type pos = 0) const noexcept; //c-string (2) s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MG7rnaM.html" rel="bookmark">sqlserver 中row&lowbar;number&comma;rank&comma;dense&lowbar;rank&comma;ntile排名函数的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.row_number() 就是行号 2.rank:类似于row_number,不同之处在于,它会对order by 的字段进行处理,如果这个字段值相同,那么,行号保持不变 3.dense_rank:与rank类似,不同之处在于行号是否保留一个位置,rank对保留这个位置,即上面图中,row的值由1直接变为3,因为它的1出现了两次,所以为2保留了一个位置,而dense_rank不会保留2这个位置,即实现的行号2其实是排在了第3位 4.ntile函数可以对序号进行分组处理.这就相当于将查询出来的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47e7Z60.html" rel="bookmark">JavaScript中常见的起来字符串操作函数及用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.midifan.com/moduleuser-index-430717.htmhttp://www.midifan.com/moduleuser-index-430547.htmhttp://www.midifan.com/moduleuser-index-430688.htmhttp://www.midifan.com/moduleuser-index-430540.htmhttp://www.midifan.com/moduleuser-index-430836.htm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVlg113.html" rel="bookmark">vue02----什么是组件、组件创建、全局组件、局部组件、组件嵌套、组件传值、为什么组件中的data不是一个对象而是一个函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				### 什么是组件? 将代码进行复用 组件是实例的拓展子类 组件继承自实例,实例有的组件大部分都有,稍有变异 ### 组件创建 创建组件模板的2种方式: 1.通过template标签     template:&quot;#tpl&quot; 2.通过字符串模板   template:&quot;&lt;h1&gt;吴启浪&lt;/h1&gt;&quot; ### 全局组件 所有的实例都可以使用 Vue.component(&quot;wql&quot;,{ template:&quot;&lt;h1&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLXmzyM.html" rel="bookmark">组件中 data 为什么是一个函数？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果两个实例引用同一个对象,当其中一个实例的属性发生改变时,另一个实例属性也随之改变,对象没有自己的作用域,只有当两个实例拥有自己的作用域时,才不会相互干扰. 这是因为JavaScript的特性所导致,在component中,data必须以函数的形式存在,不可以是对象 组件中的data写成一个函数,数据以函数返回值的形式定义,这样每次复用组件的时候,都会返回一份新的data,相当于每个组件实例都有自己私有的数据空间,它们只负责各自维护的数据,不会造成混乱. 而单纯的写成对象形式,就是所有的组件实			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q0xgXnM.html" rel="bookmark" class="title">C&num;中将dateTimePicker初始值设置为空</a>
					<div>
						最近在做一个小项目,有一个功能是根据用户选择条件查询数据,要求时间控件的默认值为空,只有当用户修改了时间,才根据时间查询.简单的说,就是默认或者点击清空按钮的情况下,时间控件dateTimePicke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7OXg4.html" rel="bookmark" class="title">合并两个排序的链表</a>
					<div>
						输入两个单调递增的链表,输出两个链表合成后的链表,当然我们需要合成后的链表满足单调不减规则 /* struct ListNode { int val; struct ListNode *next; L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68V2d3.html" rel="bookmark" class="title">从零开始PHP学习 - 第五天</a>
					<div>
						写这个系列文章主要是为了督促自己  每天定时 定量消化一些知识! 同时也为了让需要的人 学到点啥~! 本人技术实在不高!本文中可能会有错误!希望大家发现后能提醒一下我和大家! 偷偷说下 本教程最后的目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8DLq4.html" rel="bookmark" class="title">Google zxing实现二维码扫描完美解决方案</a>
					<div>
						最近因项目需求,需要在App中集成二维码扫描的功能.网上找了很多资料,最后决定使用Google的zxing来实现.实现的过程遇到了很多的坑,也是因为这些坑在网上没有具体的解决方案,今天就把我的实现过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35bQE14.html" rel="bookmark" class="title">5月21  练习AJAX的查看详细及批量删除</a>
					<div>
						老师讲过之后的复习: 显示数据的代码部分: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kX8db3.html" rel="bookmark" class="title">java高并发框架 SSM框架 详细整合&lpar;Spring&plus;SpringMVC&plus;MyBatis&rpar;</a>
					<div>
						获取[下载地址]   [免费支持更新]三大数据库 mysql  oracle  sqlsever   更专业.更强悍.适合不同用户群体[新录针对本系统的视频教程,手把手教开发一个模块,快速掌握本系统] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BAKYM.html" rel="bookmark" class="title">datatables常见报错</a>
					<div>
						Uncaught TypeError: Cannot read property 'style' of undefined 分析:列表配置 columnDefs 列数不匹配 来自为知笔记(Wiz)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqzOVM.html" rel="bookmark" class="title">基于BitSet的布隆过滤器&lpar;Bloom Filter&rpar;</a>
					<div>
						布隆过滤器 Bloom Filter 是由Howard Bloom 在 1970 年提出的二进制向量数据结构,它具有很好的空间和时间效率,被用来检测一个元素是不是集合中的一个成员.如果检测结果为是,该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaZjP3.html" rel="bookmark" class="title">C&plus;&plus;&mdash;&mdash;2831&colon; 字符串处理</a>
					<div>
						输入一行字符串(字符个数不超过80),统计出该字符串的长度和字符串中出现的空格个数. /* All rights reserved. * 文件名称:test.cpp * 作者:陈丹妮 * 完成日期:2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZblrM.html" rel="bookmark" class="title">引入HSI彩色模型与RGB转HSI？</a>
					<div>
						1.为什么要引入HSI彩色模型? 简单的来说,RGB模型可以很好的适应颜色的事实,但是并不能很好的适应人解释的颜色.当人观察一个彩色物体时候,我们用色调(Hue),饱和度(Saturation )和强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a1L7A0.html" rel="bookmark" class="title">黄金点游戏的尝试与编程习惯的改变尝试</a>
					<div>
						这一次,软件工程老师给我们所有同学出了个难题,什么呢?结对编程!说到结对编程,我想至少对于我来说是一个完全陌生的领域,为什么这么说呢?原来的C语言作业也好,C++作业也好,我大多是单枪匹马的自己在做前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41D2EP3.html" rel="bookmark" class="title">HDU 4336&mdash;&mdash;Card Collector&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;【概率dp】</a>
					<div>
						Card Collector Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)To ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvkpB4.html" rel="bookmark" class="title">零基础学python-2&period;16 列表解析</a>
					<div>
						这一节聊聊强大的列表解析 主要就是在一行里面赋值给列表 下面我们举两个例子: 上面的例子我们引入了range函数,他主要作用是在一定范围里面取整数值 我来解释一下中括号里面的那一句:x**2 for  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQr8YM.html" rel="bookmark" class="title">杂项设备示例</a>
					<div>
						本文由xhz1234(徐洪志)编写,转载请注明出处. http://blog.csdn.net/xhz1234/article/details/38750091 上一篇博文中,创建了一个字符设备驱动, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEvO24.html" rel="bookmark" class="title">蓝牙协议栈</a>
					<div>
						http://blog.chinaunix.net/uid-21411227-id-2780269.html OSI/RM(Open System Interconnection/Reference  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471LBR0.html" rel="bookmark" class="title">网站从本地上传到服务器然后域名解析到网站上线的步骤</a>
					<div>
						首先作为一个网站开发者,你需要了解网站从申请域名空间到上传网站文件到服务器,实现网站的访问. 这个地址是你的主机的ip地址,用户名密码是你的空间的用户名密码. 连接完成之后你需要上传你的制作的网页.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41w78O0.html" rel="bookmark" class="title">简单说说Spring Security 使用（附加验证码登录，自定义认证）</a>
					<div>
						先看官方文档:http://docs.spring.io/spring-security/site/docs/4.0.x/reference/htmlsingle/ spring security4已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGArla3.html" rel="bookmark" class="title">游戏开发路线</a>
					<div>
						知识点 目标 Java 概述 Java 基础入门 Java 开发环境搭建 熟练开发环境搭建.使用Eclipse编译运行调试项目 Java基本程序设计结构 熟练Java基本程序的书写.熟练运用数据类型. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXx8W3.html" rel="bookmark" class="title">经典算法&lowbar;&lowbar;&lowbar;斐波拉契数列</a>
					<div>
						分享一段斐波拉契数列的例子,不过我对算法没怎么接触过,只能写出最简单,最基本的 def fibs(num):     result = [0,1]         #斐波拉契数列初始变量        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXq5q3.html" rel="bookmark" class="title">用jmeter通过ssl验证访问https</a>
					<div>
						找了一个支付宝的网站尝试.https://memberprod.alipay.com/account/reg/index.htm 我用的是chrome,点这个小锁 如果是IE也可以在网页上右键,属性, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
